shaded.raster <- function (x, y = 1, maxpixels = 1e+05, ...) 
{
    if (nlayers(x) > 1) {
        x = raster(x, y)
    }
    x <- sampleRegular(x, maxpixels, asRaster = TRUE, corners = TRUE)
    X <- xFromCol(x, 1:ncol(x))
    Y <- yFromRow(x, nrow(x):1)
    Z <- t(matrix(getValues(x), ncol = x@ncols, byrow = TRUE)[nrow(x):1, 
        ])
    shaded(x = X, y = Y, z = Z, ...)
}