rm(list=ls()) # APAGA TODOS OS DADOS DA MEMORIA
graphics.off() # APAGA AS OPCOES GRAFICAS DEFINIDAS PELO USUARIO

require(ncdf)

nc <- open.ncdf('dados/reanalise/temp_xy.nc')

var <- get.var.ncdf(nc, 'air')
lat.nc <- get.var.ncdf(nc = nc, varid = 'lat')
lon.nc <- get.var.ncdf(nc = nc, varid = 'lon')

nlat <- length(lat.nc)
revlat.var <-  var[,nlat:1]

temp <- list()
temp$lon <- lon.nc
temp$lat <- rev(lat.nc)
temp$nc <- revlat.var

filled.contour(x = temp$lon, y = temp$lat, z = temp$nc, main = "Temperatura")
filled.contour(x = temp$lon, y = temp$lat, z = temp$nc, 
               xlab = 'Longitude', ylab = 'Latitude', main = 'Temperatura')
